# term-owo-cpp

A simple C++ program that owofies text

## Usage

### normal usage:
```bash
$ ./owo "Hello, world!"
Hewwo, wowld!
```

### from pipe / stdin:
```bash
$ echo "Hello, world!" | ./owo -p
Hewwo, wowld!
```

### from file:
```bash
$ ./owo -f file.txt
Hewwo, wowld!
```

### to file:
```bash
$ ./owo -o output.txt "Hello, world!"
```

## Building
```bash
$ cmake . -B build
$ cd build && make
$ make
$ ./owo "Hello, world!"
hewwo, wowld!
```

## Installation

### archlinux:
#### Aur
```bash
$ git clone `https://git.alfieking.dev/acetheking987/term-owo-cpp.git`
$ cd term-owo-cpp
$ makepkg -si
```
#### Custom Repo
```bash
$ pacman-key --recv-keys 1553B1410D80686C8D2A27338035E1AC0B1440DC
$ pacman-key --lsign-key 1553B1410D80686C8D2A27338035E1AC0B1440DC
$ pacman -Sy owo 
```

### other distros:
download the binary from the releases page or build from source

## License
This project is licensed under the MIT License - see the [LICENSE](LICENSE) file for details